System.Core 4.0.0.0 System.Object System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never) System.Diagnostics.DebuggerStepThrough To be added.

Creates and caches binding rules.

- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Void ReferenceTypeConstraint `` `` To be added.

  Adds a rule to the cache maintained on the dynamic call site.

  An instance of the dynamic call site. An instance of the call site rule. The type of the delegate of the .
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  T ReferenceTypeConstraint `` `` `` To be added.

  Updates the call site target with a new rule based on the arguments.

  The new call site target.

  The call site binder. An instance of the dynamic call site. Arguments to the call site. The type of the delegate of the .
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Void `` To be added.

  Clears the match flag on the matchmaker call site.

  An instance of the dynamic call site.
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Runtime.CompilerServices.CallSite<T> ReferenceTypeConstraint `` To be added.

  Creates an instance of a dynamic call site used for cache lookup.

  The new call site.

  An instance of the dynamic call site. The type of the delegate of the .
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  T[] ReferenceTypeConstraint `` To be added.

  Searches the dynamic rule cache for rules applicable to the dynamic operation.

  The collection of applicable rules.

  The cache. The type of the delegate of the .
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Boolean `` To be added.

  Checks whether the executed rule matched

  true if rule matched, false otherwise.

  An instance of the dynamic call site.
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Runtime.CompilerServices.RuleCache<T> ReferenceTypeConstraint `` To be added.

  Retrieves binding rule cache.

  The cache.

  An instance of the dynamic call site. The type of the delegate of the .
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  T[] ReferenceTypeConstraint `` To be added.

  Gets the dynamic binding rules from the call site.

  An array of dynamic binding rules.

  An instance of the dynamic call site. The type of the delegate of the .
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Void ReferenceTypeConstraint `` `` `` To be added.

  Moves the binding rule within the cache.

  The call site rule cache. An instance of the call site rule. An index of the call site rule. The type of the delegate of the .
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Boolean `` To be added.

  Checks if a dynamic site requires an update.

  true if rule does not need updating, false otherwise.

  An instance of the dynamic call site.
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Obsolete("do not use this method", true)
  System.Void ReferenceTypeConstraint `` `` To be added.

  Updates rules in the cache.

  An instance of the dynamic call site. The matched rule index. The type of the delegate of the .